package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.manage.dto.CouponShareDto;
import com.ssm.manage.entity.BaseProject;
import com.ssm.manage.entity.CooperateList;
import com.ssm.manage.entity.CouponShare;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.query.CooperateListRequest;
import com.ssm.manage.query.CouponShareRequest;
import com.ssm.manage.query.ProjectRequest;
import com.ssm.manage.response.CooperateResponse;
import com.ssm.manage.response.GenericResponse;
import com.ssm.manage.response.PageResponse;

import javax.servlet.http.HttpSession;
import java.io.Serializable;
import java.text.ParseException;
import java.util.List;

/**
 * (CouponShare)表服务接口
 *
 * @author makejava
 * @since 2022-06-11 15:00:06
 */
public interface CooperateListService {

    int insert(CooperateListRequest cooperateListRequest, HttpSession session);

    int update(CooperateListRequest cooperateListRequest, HttpSession session);

    int delete(Long id);

    PageResponse<CooperateList> page(CooperateListRequest cooperateListRequest);

    PageResponse<CooperateList> bind(CooperateListRequest cooperateListRequest);

    PageResponse<BaseProject> cooperateProjectPage(ProjectRequest baseProject);

    GenericResponse<List<CooperateResponse>> cooperByDate(ProjectRequest baseProject) throws ParseException, SmsException;
}